﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SqlClient;
using System.Data;

namespace DataSetTest1
{
    class Program
    {
        static void Main(string[] args)
        {
            //接続文字列
            string constr = @"Data Source=(LocalDB)\v11.0;AttachDbFilename=C:\Work\Books.mdf;Integrated Security=True;Connect Timeout=30";

            //SqlConnectionオブジェクトを生成
            SqlConnection con = new SqlConnection(constr);

            //Usersテーブルのデータを取得するSQL文を作成
            string sql = "SELECT * FROM Users";

            //DataAdapterオブジェクトを生成
            SqlDataAdapter da = new SqlDataAdapter(sql, con);

            //DataSetオブジェクトを生成
            DataSet ds = new DataSet();

            //DataSetとデータベースに同期させる
            da.Fill(ds);

            //DataTableに名前を付ける
            ds.Tables[0].TableName = "Users";

            //データセットの情報をXMLファイルに出力する
            ds.WriteXml(@"C:\Work\Books.xml");
            Console.WriteLine("出力しました。");
            Console.ReadLine();
        }
    }
}
